Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

 

Department: CARMEQ Affected Products: ADTF 3.3.0 (BETA)

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Player

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

Sehr geehrte Damen und Herren,

ist es möglich, ADTF-2 Dat-Datei in ADTF-3 abzuspielen?

Es gibt zwar eine Rubrik "Support for ADTF 2 DAT Files" in der Dokumentation. Allerdings kann ich nicht vorstellen, was ich mit den

Informationen anfangen soll.

Es es da um ADTF-2 Samples, die ich irgendwie empfange?

Vielen Dank für Ihre Antwort im Voraus und viele Grüße

Vinh Cao

Virtuelle Absicherung und Referenzsensorik (CQET)

Carmeq GmbH

Carnotstr. 4

D-10587 Berlin

Lösung

ADTF3 unterstützt *.adtfdat (ADTF3) and *.dat (ADTF2) files

Es wird der "adtf2_support.service.adtf" Services benötigt.

History

#1 - 2018-02-22 07:52 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to ADTF::Player

- Customer set to VW

- Department set to CARMEQ

- Affected Products ADTF 3.3.0 (BETA) added

- Platform Windows 7 64bit added

#3 - 2018-02-23 15:32 - hidden

Hallo Vinh Cao,

ist es möglich, ADTF-2 Dat-Datei in ADTF-3 abzuspielen?

- ja, ADTF3 unterstützt *.adtfdat (ADTF3) and *.dat (ADTF2) files

- dafür muss der Support Service aktiviert sein

Es gibt zwar eine Rubrik "Support for ADTF 2 DAT Files" in der Dokumentation. Allerdings kann ich nicht vorstellen, was ich mit den Informationen

anfangen soll.

- für die Verwendung in ADTF 3 wird für Basistypen (De-)Serialisierung angeboten
- für eigene Typen muss der User die (De-)Serialisierung bereitstellen, dafür ist die Rubrik in der Doku gedacht

- in ADTF 3 sind noch nicht alle ADTF 2 Streams unterstützt.

- es ist aber möglich, die neuen unterstützten (supported) Teile in ADTF3 und die fehlenden (not ported/supported yet) in ADTF2 zu benutzen und:

- ADTF 3 mit der ADTF 3 Support Toolbox zu betreiben, um ADTF 2 mit ADTF 3 zu verbinden

Hilft dir das weiter?

Bitte Feedback geben bis 26.02.2018.

Gruß,

Michael

#4 - 2018-02-23 18:02 - hidden

Hallo Vinh, ich habs hinbekommen.

Für alle zum nachvollziehen:

Das ADTF-Beispielprojekt laden

die "Playback Example"-Session aktivieren

Im "System Editor"-Fenster (unten links) bei Services den "adtf2_support.service.adtf" zufügen

Im StreamingGraph beim Playback-Filter die Datei "$(ADTF_DIR)/src/examples/datfiles/example_file_adtf2.dat" einstellen

Beim Playback-Filter im Popup-Menü "Create Pins from .dat" ausführen -> der "VIDEO"-Ausgangspin wird zu "video"

Den neuen Pin mit dem "VIDEO"-SampleStream verbinden

Speichern

Launchen: Man sieht ein ähnliches Video mit AnalogUhr, aber mit einen "ADTF 2" Monitor im Hintergrund

In der laufenden ADTF-Session, das dat-file ändern geht leider nicht, da die Video-Streams in den beiden dat-files anders heißen: "VIDEO" vs.

"video"

#5 - 2018-02-27 16:44 - hidden

- Description updated

- Status changed from In Progress to To Be Closed

- Resolution set to Solved Issue

Nach Rücksprache mit Anwender: Problem gelöst, Ticket kann geschlossen werden.

#6 - 2018-02-27 17:04 - hidden

- Subject changed from Support for ADTF 2 DAT Files to Support for ADTF 2.x *.dat Files in ADTF 3.x

- Description updated

#7 - 2018-03-01 18:09 - hidden

- Project changed from 20 to Public Support

- Private changed from Yes to No

#8 - 2018-03-15 14:51 - hidden

- Status changed from To Be Closed to Closed
